## gcc-defaults-powerpc-cross 0.1

=== debian/changelog ===
gcc-defaults-powerpc-cross (0.1) raring; urgency=low

  * Initial package, based on binutils-armhf-cross 1.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2012 18:12:51 +0100
