=== debian/control ===
Source: gcc-defaults-powerpc-cross
Section: devel
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.13.9), lsb-release
XS-Python-Version: all

Package: cpp-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Section: interpreters
Depends: cpp-${pv:cpp}-powerpc-linux-gnu ${reqv:cpp}, ${misc:Depends}
Conflicts: cpp-4.4-powerpc-linux-gnu (<= 4.4.5-15~), cpp-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
Suggests: cpp-doc
Description: The GNU C preprocessor (cpp) for powerpc architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for powerpc architecture.
 .
 This is a dependency package providing the default GNU C preprocessor for
 powerpc architecture.

Package: g++-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:cpp}), g++-${pv:gpp}-multilib-powerpc-linux-gnu ${reqv:gpp}, gcc-${pv:gpp}-multilib-powerpc-linux-gnu ${reqv:gpp}, ${misc:Depends}
Conflicts: g++-4.4-powerpc-linux-gnu (<= 4.4.5-15~), g++-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
Description: The GNU C++ compiler for powerpc architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ cross-compiler for
 powerpc architecture.

Package: gobjc-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:cpp}), gobjc-${pv:gobjc}-multilib-powerpc-linux-gnu ${reqv:gobjc}, ${misc:Depends}
Conflicts: gobjc-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gobjc-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
Description: The GNU Objective-C compiler for powerpc architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for powerpc architecture.

Package: gobjc++-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:cpp}), gobjc++-${pv:gobjcxx}-multilib-powerpc-linux-gnu ${reqv:gobjcxx}, ${misc:Depends}
Conflicts: gobjc++-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gobjc++-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
Recommends: g++-powerpc-linux-gnu (>= ${version:cpp}), gobjc-powerpc-linux-gnu (>= ${version:cpp})
Description: The GNU Objective-C++ compiler for powerpc architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for powerpc architecture.

Package: gfortran-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:gcc}), gfortran-${pv:gfort}-multilib-powerpc-linux-gnu ${reqv:gfort}, ${misc:Depends}
Conflicts: gfortran-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gfortran-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
Suggests: gfortran-doc
Description: The GNU Fortran 95 compiler for powerpc architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for powerpc architecture.

Package: gccgo-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), g++-powerpc-linux-gnu (>= ${version:gcc}), gccgo-${pv:ggo}-multilib-powerpc-linux-gnu ${reqv:ggo}, ${misc:Depends}
Suggests: gccgo-doc
Description: Go compiler, based on the GCC backend
 This is the GNU Go compiler, which compiles Go on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Go cross-compiler
 cross-compiler for the powerpc architecture.

Package: gcc-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-${pv:gcc}-multilib-powerpc-linux-gnu ${reqv:gcc}, ${misc:Depends}
Conflicts: gcc-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gcc-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
Recommends: libc6-dev-powerpc-cross | libc-dev-powerpc-cross
Suggests: make, manpages-dev, autoconf, automake1.9, libtool, flex, bison, gdb-powerpc-linux-gnu, gcc-doc
Description: The GNU C compiler for powerpc architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler for
 powerpc architecture.

Package: pkg-config-powerpc-linux-gnu
Priority: optional
Architecture: amd64 i386
Depends: pkg-config (>= 0.25-1.1ubuntu2), ${misc:Depends}
Description: manage compile and link flags for libraries for powerpc architecture
 pkg-config is a system for managing library compile and link flags that
 works with automake and autoconf.
 .
 Increasingly libraries ship with ".pc" files that allow querying of the
 compiler and linker flags needed to use them through the pkg-config(1)
 program.
 .
 This is a dependency package providing cross pkg-config support for the
 powerpc architecture.
