## gcc-defaults-powerpc-cross 0.5

=== debian/changelog ===
gcc-defaults-powerpc-cross (0.5) saucy; urgency=low

  * Don't depend on non existing gdc and gcj multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jun 2013 21:05:09 +0200

gcc-defaults-powerpc-cross (0.3) saucy; urgency=low

  * Bump version to 4.8.1.
  * Build gcj and gdc packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jun 2013 14:05:19 +0200

gcc-defaults-powerpc-cross (0.2) saucy; urgency=low

  * Bump default GCC version to 4.8 to match native compilers.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 27 Apr 2013 12:18:59 -0600
