## gcc-defaults-powerpc-cross 0.7

=== debian/changelog ===
gcc-defaults-powerpc-cross (0.7) trusty; urgency=medium

  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2013 14:34:11 +0100
