=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: devel
 Priority: standard
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.13.9), lsb-release
 XS-Python-Version: all
 
 Package: cpp-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Section: interpreters
 Depends: cpp-${pv:cpp}-powerpc-linux-gnu ${reqv:cpp}, ${misc:Depends}
 Conflicts: cpp-4.4-powerpc-linux-gnu (<= 4.4.5-15~), cpp-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
@@ -26,7 +25,7 @@
 
 Package: g++-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:cpp}), g++-${pv:gpp}-multilib-powerpc-linux-gnu ${reqv:gpp}, gcc-${pv:gpp}-multilib-powerpc-linux-gnu ${reqv:gpp}, ${misc:Depends}
 Conflicts: g++-4.4-powerpc-linux-gnu (<= 4.4.5-15~), g++-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
 Description: The GNU C++ compiler for powerpc architecture
@@ -37,7 +36,7 @@
 
 Package: gobjc-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:cpp}), gobjc-${pv:gobjc}-multilib-powerpc-linux-gnu ${reqv:gobjc}, ${misc:Depends}
 Conflicts: gobjc-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gobjc-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
 Description: The GNU Objective-C compiler for powerpc architecture
@@ -50,7 +49,7 @@
 
 Package: gobjc++-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:cpp}), gobjc++-${pv:gobjcxx}-multilib-powerpc-linux-gnu ${reqv:gobjcxx}, ${misc:Depends}
 Conflicts: gobjc++-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gobjc++-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
 Recommends: g++-powerpc-linux-gnu (>= ${version:cpp}), gobjc-powerpc-linux-gnu (>= ${version:cpp})
@@ -64,7 +63,7 @@
 
 Package: gfortran-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-powerpc-linux-gnu (>= ${version:gcc}), gfortran-${pv:gfort}-multilib-powerpc-linux-gnu ${reqv:gfort}, ${misc:Depends}
 Conflicts: gfortran-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gfortran-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
 Suggests: gfortran-doc
@@ -78,7 +77,7 @@
 
 Package: gccgo-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), g++-powerpc-linux-gnu (>= ${version:gcc}), gccgo-${pv:ggo}-multilib-powerpc-linux-gnu ${reqv:ggo}, ${misc:Depends}
 Suggests: gccgo-doc
 Description: Go compiler, based on the GCC backend
@@ -90,7 +89,7 @@
 
 Package: gcj-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcj-${pv:gcj}-powerpc-linux-gnu ${reqv:gcj}, ${misc:Depends}
 Description: GNU Java compiler, based on the GCC backend
  This is the GNU Java compiler, which compiles java on platforms supported by
@@ -101,7 +100,7 @@
 
 Package: gdc-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gdc-${pv:gdc}-powerpc-linux-gnu ${reqv:gdc}, ${misc:Depends}
 Description: GNU D compiler, based on the GCC backend
  This is the GNU D compiler, which compiles D on platforms supported by
@@ -112,7 +111,7 @@
 
 Package: gcc-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: cpp-powerpc-linux-gnu (>= ${version:cpp}), gcc-${pv:gcc}-multilib-powerpc-linux-gnu ${reqv:gcc}, ${misc:Depends}
 Conflicts: gcc-4.4-powerpc-linux-gnu (<= 4.4.5-15~), gcc-4.5-powerpc-linux-gnu (<= 4.5.2-8~)
 Recommends: libc6-dev-powerpc-cross | libc-dev-powerpc-cross
@@ -125,7 +124,7 @@
 
 Package: pkg-config-powerpc-linux-gnu
 Priority: optional
-Architecture: amd64 i386
+Architecture: amd64 i386 ppc64el
 Depends: pkg-config (>= 0.25-1.1ubuntu2), ${misc:Depends}
 Description: manage compile and link flags for libraries for powerpc architecture
  pkg-config is a system for managing library compile and link flags that
