## gcc-defaults-powerpc-cross 0.8

=== debian/changelog ===
gcc-defaults-powerpc-cross (0.8) utopic; urgency=medium

  * Bump to 4.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2014 22:31:51 +0200
