## gcc-defaults-powerpc-cross 0.9

=== debian/changelog ===
gcc-defaults-powerpc-cross (0.9) wily; urgency=medium

  * Bump to 5.2.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Aug 2015 22:17:47 +0200
